<!DOCTYPE html>
<html>
<head>
	<title>https://union.co/</title>
</head>
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css" integrity="sha384-oS3vJWv+0UjzBfQzYUhtDYW+Pj2yciDJxpsK1OYPAYjqT085Qq/1cq5FLXAZQ7Ay" crossorigin="anonymous">

<link href="https://fonts.googleapis.com/css?family=Plaster&display=swap&subset=latin-ext" rel="stylesheet">

<style type="text/css">
	body{
		margin:0;
		font-family: 'Vollkorn', serif;
		font-family: Larsseit-Light, sans-serif;
		height: 100vh;
		width: 100vw;
		overflow-y: auto;
		overflow-x:hidden;
	}
	body::-webkit-scrollbar {
	background:rgb(246, 246, 246);
    width: 5px;
	}

	body::-webkit-scrollbar-thumb {
    background: grey;
	}
	.sidebar{
		position: fixed;
		height: 100vh;
		width: 5vw;
		background:rgb(246, 246, 246);
		transition: .3s;
		color: lightgrey;
		display: flex;
		align-items: center;
		flex-direction: column;
		justify-content: flex-end;
	}
	.sidebar:hover{
		background-color: black;
		position: fixed;
	}
	.menu{
		transform:rotate(-90deg); 
		font-size: 0.9em;
		font-weight: bolder;
		letter-spacing: 5px;
		position: absolute;
		top:12vh;
		height:5vh;			
		transition: .3s;
		width: 18vw;
    }
    .bar{
    	font-size: 1.5em;
    	margin-bottom: 25px;
    	display: flex;
    	justify-content: center;
    	align-items: flex-end;
    }
	.content{
		height: 100vh;
		width: 95vw;
		background:white;
		margin-left: 5vw;
	}
  
    .intro{
    	height: 85vh;
    	flex: 1;
    	border: 2vw solid rgb(246, 246, 246);
    	border-left: none;
    	display: flex;
    }
    .about{
    	margin-left: 8vw;
    	height: 100%;
    	width: 50%;
    	display: flex;
    	flex-direction: column;
    	justify-content: space-around;   
    	position: relative;
    }
    .work{
    	height: 100%;
    	flex:1;
    	display: flex;
    	justify-content: space-around;
    	flex-direction: column;
    }
    .footer{
    	display: flex;
    	width: 100%;
    }
    .footer>div{
    	width: 50%;
    	padding-right:4vw;
    	padding-left: 4vw;
    }
    .header{
    	display: flex;
    	justify-content: center;
    	align-items: center;
    }
    .line{
		height:0.15vh;
		width:15vw;
		background:rgba(0,0,0,0.1);
		margin:0 3px;
	}
	 .red{
	  	color: rgb(239, 58, 80);
	  }


.red, .red:visited {
  text-decoration: none;
  position: relative;
  color: rgb(239, 58, 80);
}
.red:after, .red:visited:after {
  content: '';
  height: 1px;
  position: absolute;
  bottom: 0;
  left: 0;
  width: 0%;
  background: rgb(239, 58, 80);
  transition: 0.5s;
}
.red:hover:after, .red:visited:hover:after {
  width: 75%;
}

    .c-name{
  		font-family: 'Plaster', cursive;
    	display: flex;
    	align-items:flex-end; 
    	font-size:7vh;
    	height: 8vh;
    	position:fixed;
    	width: 13vw;
    	top:15vh;
    	z-index: 99;
    	transition: .3s;
    	left:13vw;
    }
    .latter{
    	transition: .6s;
   
    	clip-path: polygon(0 100%, 100% 100%, 100% 0, 0 0);
    }
    .stuck{
    	left:1vw;
    }
    .stuck>.latter{
		clip-path: polygon(0 100%, 0 100%, 0 100%, 0 100%);
    }
    .first-letter{
    	margin-top: 1vh;
    	font-size:8vh;
    	display: flex;
    	align-items:flex-end;
    }
    .des{
    	margin-top: 35vh;
    	font-size: 9vh;
    	z-index: 1;
    }
    .title{
    	color: grey;
    	font-weight: bolder;
    }
    .bg-word{
    	margin-top: 3vh;
    	line-height: 12vh;
    	  position: absolute;
    	  color: white;
    	  opacity: 0.3;
    	  font-weight: bolder;
    	  font-size:15vh;
 		 -webkit-text-stroke-width: 1px;
  			-webkit-text-stroke-color: black;
    }
    .video{
  		height: 90vh;
  		width: auto;
  		border: 2vw solid rgb(246, 246, 246); 
  		border-left: none;
  		border-top: none;
  	}
/* side's background becomes red with scroll down  properties
 	.red{
 		background:red;
 	}*/
 	.whatever:hover{
 		color:red;
 	}
 	.whatever:hover>.arrow>span{
 		background:red;
 	}
	.arrow{
	display: flex;
	align-items: center;
	width:30px;
	transition: .3s;
	}
	.whatever:hover>.arrow{
 		width:40px;
 		color:red;
 	}
	.arrow>span{
	transition: .3s;
	flex:1;
	height:2px;
	background:black;
}
.arrow>i{
	transform: translateX(-10px);
}
  .arrow>i{
    	margin-left: 0.3vh;
    }
</style>
<body>
	<div class="sidebar" id="sidebar">
		<div class="menu" id="menu">WE ARE UNION</div>
		<div class="bar"><i class="fas fa-bars"></i></div>
	</div>
	<div class="content">
		<div class="intro">
			<div class="about">
				<div class="c-name" id="logo">
					<div class="first-letter" id="">U</div>
					<div class="latter">NION</div>
				</div>
				<div class="bg-word">More Innovation.</div>
				<div class="des">
					<div>A digital agency for</div>	
					<div>brands that want more</div>		
				</div>			
			</div>
			<div class="work">
				<div class="header">
					<div class="line"></div>
					<div class="red">Work with us <div class="line-arrow"></div><i class="fas fa-chevron-right"></i></div>
				</div>
				<div class="footer">
					<div class="foot-work">
						<div class="title">WORK</div>
						<br><br>
						<div class="whatever">Creating great work that gets results.
							<span class="arrow">
							<span class="line-arrow"></span>
							<i class="fas fa-chevron-right"></i>
							</span>
						</div>
					</div>

					<div class="foot-services">
						<div class="title">SERVICES</div>
						<br><br>
						<div class="whatever">Everything digital under one roof.
							<span class="arrow">
							<span class="line-arrow"></span>
							<i class="fas fa-chevron-right"></i>
							</span>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="video">
				<iframe width="100%" height="100%" src="https://www.youtube.com/embed/Ump-DIi5oZY" autoplay=1 frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
		</div>
	</div>
</body>
<script type="text/javascript">
	 document.addEventListener('scroll', function (){
	 	let scroll = window.pageYOffset;
	 	if(scroll > 5){
	 		document.getElementById('menu').style.top= "45vh";
	 		document.getElementById('logo').classList.add('stuck');
	 	}else{
	 		document.getElementById('menu').style.top= "12vh";
	 		document.getElementById('logo').classList.remove('stuck');
	 	}
	 	console.log(scroll);
	 	if(scroll > 300){
	 		document.getElementById('menu').innerText='AGENCY REEL';
	 	}else{
	 		document.getElementById('menu').innerText='WE ARE UNION';
	 	}
	 }); 
</script>

</html>